@font-face {
    font-family: 'Unicorn';
    src: url(https://dl.dropbox.com/s/stne141j05ssst7/unicorns.ttf);
}

/* THEME CHANGER (minus borders) */
:root {
    --my-bg: #fff;
    --my-text: #000;
    --my-primary: #ff89c2;
    --my-secondary: #FFF29F;
}

[data-theme='dark'] {
    --my-bg: #78485a;
    --my-text: #fff;
    --my-primary: #ffc6e1;
    --my-secondary: #ffebbc;
}

html {
    background-color: var(--my-bg);
}

h2,
strong,
a {
    color: var(--my-primary);
}

.meta,
.summary,
.note,
.fic,
footer {
    color: var(--my-text);
}

.lightdark {
    position: fixed;
    top: .5em;
    right: .5em;
    padding: .5em;
    background: #FFF29F;
    border: none;
    border-radius: 5px;
    color: #5a5a5a;
}

/* MAIN STYLING */
html {
    font-family: arial;
    width: 40%;
    margin: 0 auto;
}

::-moz-selection {
    color: var(--my-primary);
    background: #FFF29F80;
}

::selection {
    color: var(--my-primary);
    background: #FFF29F80;
}

h1 {
    font-family: 'Unicorn';
    margin: 0;
    text-align: center;
    font-size: 2em;
    color: #FFD6E7;
    filter: drop-shadow(0px 1px #ff89c2) drop-shadow(0 -1px #ff89c2) drop-shadow(1px 0 #ff89c2) drop-shadow(-1px 0 #ff89c2);
    z-index: 99;
}

h2 {
    font-family: 'Unicorn';
    margin: .3em 0;
    font-size: 1.5em;
    border-bottom: 3px solid var(--my-secondary);
    ;
}

hr {
    margin: 2em 7em;
    border: 1px dashed;
    border-color: var(--my-primary);
}

a {
    text-decoration: underline 2px dotted;
    transition: .5s;
}

a:hover,
a:focus {
    color: #FFD6E7;
    font-style: italic;
    cursor: url('https://cdn.cursors-4u.net/previews/pink-tiny-hand-bow-tie-770ddfbb-32.webp') 36 32, auto !important;
}

.spoiler {
    background: #000;
    transition: .5s;
}

.spoiler:hover,
.spoiler:active {
    background: #fff;
}

.meta {
    text-align: center;
}

.excerpt {
    border-left: 2px solid var(--my-primary);
    padding-left: .3em;
}

.fic {
    margin: 1.5em 0;
    padding: .5em;
    border: 1px dashed;
    border-radius: 5px;
}

footer {
    text-align: center;
}

@media (max-width: 1000px) {
    html {
        width: 95%
    }

    .lightdark {
        position: static;
        float: right;
    }

    h1 {
        clear: both;
    }
}